Loading
0

ssm项目使用新spring包版后本启动tomcat报错

本地jar包版本有点老了,尝试使用maven引入新版本的spring jar包,结果tomcat运行报如上错误。情况跟这个有点像,看了下帖子提到的解决方法,大概原因是 重新部署操作不会清空已部署Webapp的WEB-INF/lib目录,如果升级Spring,会在lib目录中临时获得多个版本。

尝试了下在web.xml里加入<absolute-ordering/>标签或者清除已部署在tomcat webapp里的对应项目都可以解决。
又涨姿势了_(:τ」∠)_

声明:本文为原创,作者为 Zany小咸鱼,转载时请保留本声明及附带文章链接:https://blog.bugcola.com/note/index.php/695/